Bug 101416 - vncserver accepts connection but no activity occurs
vncserver accepts connection but no activity occurs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vnc (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 16:24 EDT by Neale Ferguson
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 05:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neale Ferguson 2003-07-31 16:24:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:
vncserver will start correctly, create a log file in ~/.vnc, listen for
connections, and accept an incoming connection. However, the client never gets
prompted for a password (as one was configured when the server was first
started). netstat -a shows the tcp connections (one for the listen and the other
for the client connection. 
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      0 0.0.0.0:32768           0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:32769         0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:5801            0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:5901            0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:111             0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:6001            0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN
tcp        0      0 0.0.0.0:23              0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:631           0.0.0.0:*               LISTEN
tcp        0      0 127.0.0.1:25            0.0.0.0:*               LISTEN
tcp        0    376 10.128.226.20:22        10.128.36.139:3654      ESTABLISHED
tcp        0      0 10.128.226.20:5901      10.128.36.139:3660      ESTABLISHED
udp        0      0 0.0.0.0:32768           0.0.0.0:*
udp        0      0 0.0.0.0:111             0.0.0.0:*
udp        0      0 0.0.0.0:631             0.0.0.0:*
udp        0      0 0.0.0.0:888             0.0.0.0:*

The log file just consists of:

31/07/03 16:15:56 Xvnc version 3.3.tight1.2.8
31/07/03 16:15:56 Copyright (C) 1999 AT&T Laboratories Cambridge.
31/07/03 16:15:56 Copyright (C) 2000-2002 Constantin Kaplinsky.
31/07/03 16:15:56 All Rights Reserved.
31/07/03 16:15:56 See http://www.uk.research.att.com/vnc for information on VNC
31/07/03 16:15:56 See http://www.tightvnc.com for TightVNC-specific information
31/07/03 16:15:56 Desktop name 'X' (resc020.softwareag-usa.com:1)
31/07/03 16:15:56 Protocol version supported 3.3
31/07/03 16:15:56 Listening for VNC connections on TCP port 5901
31/07/03 16:15:56 Listening for HTTP connections on TCP port 5801
31/07/03 16:15:56   URL http://resc020.softwareag-usa.com:5801

Also a vncserver -kill :<id> reports that the kill signal is sent but the server
never comes down.

[root@resc020 .vnc]# vncserver -kill :1
Killing Xvnc process ID 1116

root      1116     1  0 16:15 pts/0    00:00:00 Xvnc :1 -desktop X -httpd
/usr/share/vnc/classes -auth /root/.Xauthority
root      1120     1  0 16:15 pts/0    00:00:00 /bin/sh /etc/X11/xinit/xinitrc
root      1122  1120  0 16:15 pts/0    00:00:00 xrdb -merge /etc/X11/Xresources

A kill -9 of the process is required to bring it down.

The s390 version works fine.

Version-Release number of selected component (if applicable):
vnc-server-3.3.3r2-51.s390x.rpm

How reproducible:
Always

Steps to Reproduce:
1. vncserver
2. Use a vncviewer to connect
3. Check the process status of both the server and client as well as the netstat
-a results
    

Additional info:
Comment 1 Tim Waugh 2003-08-08 10:04:33 EDT
Please try vnc-4.0-0.beta3.5.
Comment 2 Neale Ferguson 2003-08-08 10:15:04 EDT
Is there a URL for that?
Comment 4 Neale Ferguson 2003-08-08 10:40:19 EDT
Sorry, I meant where is the rpm downloadable from? The FTP site I got the
original ISO images from was:
ftp://kickstart.linux.ncsu.edu/pub/redhat/linux/beta. I can't see any updates on
the site though.
Comment 5 Tim Waugh 2003-08-08 10:41:37 EDT
RHN.  Start with 'up2date'.
Comment 6 Neale Ferguson 2003-08-08 10:54:15 EDT
I used up2date to establish a profile for doing the s390x beta. However,
attempting to do the same for my s390 beta I am unable to get entitlement for
this system. 

Note You need to log in before you can comment on or make changes to this bug.